pyntor-selfrun(1)

NAME

pyntor-selfrun - creation of self-extracting presentation archives

SYNOPSIS

pyntor-selfrun [OPTIONS] presentation-archive|presentation-directory

DESCRIPTION

Pyntor is a presentation tool which can display slides and effects of various formats. The tool pyntor-selfrun allows one to create self-extracting archives containing both the presentation and Pyntor itself, so that it can be run on computers where Pyntor itself is not installed. It also ensures independence of the corresponding Pyntor version, as future changes of the application do not affect the previously created presentations. The way pyntor-selfrun works is that it takes the presentation-archive in question, packed as a tarball (which might be named *.pyntor), and the release tarball of Pyntor which must be present somewhere. Using a template file, it then creates the self-running and self-extracting script for distribution.

In case the presentation-archive does not exist yet, pyntor-selfrun can create it automatically from a presentation-directory. This is useful even when not creating self-extracting archives, see the -a option.

OPTIONS

-t, --template=templatefile
    Uses a template different from that one which is shipped with Pyntor and used by default. The template is a script in Python or another scripting language, which contains the variables %PYNTOR% and %ARCHIVE% which are replaced with the base64-encoded contents of the two files given as arguments to pyntor-selfrun. This option is not recommended for most cases.

-a, --archive
    Creates a pyntor presentation-archive from a directory which contains a script file, local data files and optionally some local components. This is a convenience operation, since presentation archives are just tarballs, but in the future some checks might be done here.

-r, --release=sourcetarball
    Specifies where to find Pyntor itself to include it into the self-extracting archive. The source tarball should be a released pyntor-*.tar.gz file.

-h, --help
    Displays a summary of all available command line options.

BUGS
In a future version, pyntor-selfrun should allow to create *.pyntor archives automatically by examining a script file, including only those files of Pyntor which it really needs.

AUTHORS

Josef Spillner <josef@coolprojects.org>

SEE ALSO
pyntor(1), pyntor-components(1)